Skip to content
vocapable.Docs

Cancel a run and the work it prepared

POST
/v1/workspace/workflows/runs/{run_id}/cancel
curl --request POST \
--url https://api.vocapable.com/v1/workspace/workflows/runs/example/cancel \
--header 'Authorization: Bearer <token>'
run_id
required
Run Id
string

Successful Response

Media typeapplication/json
WorkspaceWorkflowRun
object
id
required
Id
string
recipe
required
Recipe
string
Allowed values: missed_call meeting sale_service lead_review
plan_id
required
Plan Id
string
plan_version
required
Plan Version
integer
trigger_type
required
Trigger Type
string
trigger_id
required
Trigger Id
string
subject_type
required
Any of:
string
subject_id
required
Any of:
string
customer_name
required
Any of:
string
status
required
Status
string
Allowed values: pending waiting held completed cancelled failed
stop_reason
required
Any of:
string
next_at
required
Any of:
string format: date-time
attempts
required
Attempts
integer
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
steps
required
Steps
Array<object>
WorkspaceWorkflowRunStep
object
at
required
At
string
kind
required
Kind
string
note
required
Note
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"recipe": "missed_call",
"status": "pending"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}